[arch-commits] Commit in ptlib/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Oct 8 16:23:26 EDT 2008


    Date: Wednesday, October 8, 2008 @ 16:23:26
  Author: jgc
Revision: 14638

upgpkg: ptlib 2.4.1-1

Modified:
  ptlib/trunk/PKGBUILD

----------+
 PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-08 20:22:58 UTC (rev 14637)
+++ PKGBUILD	2008-10-08 20:23:26 UTC (rev 14638)
@@ -2,18 +2,20 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=ptlib
-pkgver=2.3.1
+pkgver=2.4.1
 pkgrel=1
 pkgdesc="Portable Windows Library"
 arch=(i686 x86_64)
 url="http://www.ekiga.org/"
 license=('GPL')
 depends=('gcc-libs>=4.3.2' 'openssl>=0.9.8h' 'libavc1394>=0.5.3' 'alsa-lib>=1.0.17a' 'libdv>=1.0.0' 'sdl>=1.2.13')
-source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.3/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('bd495deba21a292348bb57ae2cb05d6a')
+replaces=('pwlib')
+conflicts=('pwlib')
+source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.4/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('79d6431a30ec7a558633e67c25e689f9')
 
 build() {
-  cd ${startdir}/src/ptlib-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --libdir=/usr/lib \
               --sysconfdir=/etc --localstatedir=/var \
   	      --enable-opal --enable-plugins \
@@ -22,5 +24,5 @@
 	      --enable-ipv6 --enable-v4l \
 	      --enable-dc || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }




More information about the arch-commits mailing list